libnl: VXLAN

libnl 3.10.0

VXLAN
Routing Library (libnl-route) » Links (Interfaces)

Virtual eXtensible Local Area Network link module More...

## VXLAN Object
struct rtnl_link * | rtnl_link_vxlan_alloc (void)
| Allocate link object of type VXLAN.
int | rtnl_link_is_vxlan (struct rtnl_link *link)
| Check if link is a VXLAN link.
int | rtnl_link_vxlan_set_id (struct rtnl_link *link, uint32_t id)
| Set VXLAN Network Identifier.
int | rtnl_link_vxlan_get_id (struct rtnl_link *link, uint32_t *id)
| Get VXLAN Network Identifier.
int | rtnl_link_vxlan_set_group (struct rtnl_link *link, struct nl_addr *addr)
| Set VXLAN multicast IP address.
int | rtnl_link_vxlan_get_group (struct rtnl_link *link, struct nl_addr **addr)
| Get VXLAN multicast IP address.
int | rtnl_link_vxlan_set_link (struct rtnl_link *link, uint32_t index)
| Set physical device to use for VXLAN.
int | rtnl_link_vxlan_get_link (struct rtnl_link *link, uint32_t *index)
| Get physical device to use for VXLAN.
int | rtnl_link_vxlan_set_local (struct rtnl_link *link, struct nl_addr *addr)
| Set source address to use for VXLAN.
int | rtnl_link_vxlan_get_local (struct rtnl_link *link, struct nl_addr **addr)
| Get source address to use for VXLAN.
int | rtnl_link_vxlan_set_ttl (struct rtnl_link *link, uint8_t ttl)
| Set IP TTL value to use for VXLAN.
int | rtnl_link_vxlan_get_ttl (struct rtnl_link *link)
| Get IP TTL value to use for VXLAN.
int | rtnl_link_vxlan_set_tos (struct rtnl_link *link, uint8_t tos)
| Set IP ToS value to use for VXLAN.
int | rtnl_link_vxlan_get_tos (struct rtnl_link *link)
| Get IP ToS value to use for VXLAN.
int | rtnl_link_vxlan_set_learning (struct rtnl_link *link, uint8_t learning)
| Set VXLAN learning status.
int | rtnl_link_vxlan_get_learning (struct rtnl_link *link)
| Get VXLAN learning status.
int | rtnl_link_vxlan_enable_learning (struct rtnl_link *link)
| Enable VXLAN address learning.
int | rtnl_link_vxlan_disable_learning (struct rtnl_link *link)
| Disable VXLAN address learning.
int | rtnl_link_vxlan_set_ageing (struct rtnl_link *link, uint32_t expiry)
| Set expiration timer value to use for VXLAN.
int | rtnl_link_vxlan_get_ageing (struct rtnl_link *link, uint32_t *expiry)
| Get expiration timer value to use for VXLAN.
int | rtnl_link_vxlan_set_limit (struct rtnl_link *link, uint32_t limit)
| Set maximum number of forwarding database entries to use for VXLAN.
int | rtnl_link_vxlan_get_limit (struct rtnl_link *link, uint32_t *limit)
| Get maximum number of forwarding database entries to use for VXLAN.
int | rtnl_link_vxlan_set_port_range (struct rtnl_link *link, struct ifla_vxlan_port_range *range)
| Set range of UDP port numbers to use for VXLAN.
int | rtnl_link_vxlan_get_port_range (struct rtnl_link *link, struct ifla_vxlan_port_range *range)
| Get range of UDP port numbers to use for VXLAN.
int | rtnl_link_vxlan_set_proxy (struct rtnl_link *link, uint8_t proxy)
| Set ARP proxy status to use for VXLAN.
int | rtnl_link_vxlan_get_proxy (struct rtnl_link *link)
| Get ARP proxy status to use for VXLAN.
int | rtnl_link_vxlan_enable_proxy (struct rtnl_link *link)
| Enable ARP proxy.
int | rtnl_link_vxlan_disable_proxy (struct rtnl_link *link)
| Disable ARP proxy.
int | rtnl_link_vxlan_set_rsc (struct rtnl_link *link, uint8_t rsc)
| Set Route Short Circuit status to use for VXLAN.
int | rtnl_link_vxlan_get_rsc (struct rtnl_link *link)
| Get Route Short Circuit status to use for VXLAN.
int | rtnl_link_vxlan_enable_rsc (struct rtnl_link *link)
| Enable Route Short Circuit.
int | rtnl_link_vxlan_disable_rsc (struct rtnl_link *link)
| Disable Route Short Circuit.
int | rtnl_link_vxlan_set_l2miss (struct rtnl_link *link, uint8_t miss)
| Set netlink LLADDR miss notification status to use for VXLAN.
int | rtnl_link_vxlan_get_l2miss (struct rtnl_link *link)
| Get netlink LLADDR miss notification status to use for VXLAN.
int | rtnl_link_vxlan_enable_l2miss (struct rtnl_link *link)
| Enable netlink LLADDR miss notifications.
int | rtnl_link_vxlan_disable_l2miss (struct rtnl_link *link)
| Disable netlink LLADDR miss notifications.
int | rtnl_link_vxlan_set_l3miss (struct rtnl_link *link, uint8_t miss)
| Set netlink IP ADDR miss notification status to use for VXLAN.
int | rtnl_link_vxlan_get_l3miss (struct rtnl_link *link)
| Get netlink IP ADDR miss notification status to use for VXLAN.
int | rtnl_link_vxlan_enable_l3miss (struct rtnl_link *link)
| Enable netlink IP ADDR miss notifications.
int | rtnl_link_vxlan_disable_l3miss (struct rtnl_link *link)
| Disable netlink IP ADDR miss notifications.
int | rtnl_link_vxlan_set_port (struct rtnl_link *link, uint32_t port)
| Set UDP destination port to use for VXLAN.
int | rtnl_link_vxlan_get_port (struct rtnl_link *link, uint32_t *port)
| Get UDP destination port to use for VXLAN.
int | rtnl_link_vxlan_set_udp_csum (struct rtnl_link *link, uint8_t csum)
| Set UDP checksum status to use for VXLAN.
int | rtnl_link_vxlan_get_udp_csum (struct rtnl_link *link)
| Get UDP checksum status to use for VXLAN.
int | rtnl_link_vxlan_set_udp_zero_csum6_tx (struct rtnl_link *link, uint8_t csum)
| Set skip UDP checksum transmitted over IPv6 status to use for VXLAN.
int | rtnl_link_vxlan_get_udp_zero_csum6_tx (struct rtnl_link *link)
| Get skip UDP checksum transmitted over IPv6 status to use for VXLAN.
int | rtnl_link_vxlan_set_udp_zero_csum6_rx (struct rtnl_link *link, uint8_t csum)
| Set skip UDP checksum received over IPv6 status to use for VXLAN.
int | rtnl_link_vxlan_get_udp_zero_csum6_rx (struct rtnl_link *link)
| Get skip UDP checksum received over IPv6 status to use for VXLAN.
int | rtnl_link_vxlan_set_remcsum_tx (struct rtnl_link *link, uint8_t csum)
| Set remote offload transmit checksum status to use for VXLAN.
int | rtnl_link_vxlan_get_remcsum_tx (struct rtnl_link *link)
| Get remote offload transmit checksum status to use for VXLAN.
int | rtnl_link_vxlan_set_remcsum_rx (struct rtnl_link *link, uint8_t csum)
| Set remote offload receive checksum status to use for VXLAN.
int | rtnl_link_vxlan_get_remcsum_rx (struct rtnl_link *link)
| Get remote offload receive checksum status to use for VXLAN.
int | rtnl_link_vxlan_set_collect_metadata (struct rtnl_link *link, uint8_t collect)
| Set collect metadata status to use for VXLAN.
int | rtnl_link_vxlan_get_collect_metadata (struct rtnl_link *link)
| Get collect metadata status to use for VXLAN.
int | rtnl_link_vxlan_set_label (struct rtnl_link *link, uint32_t label)
| Set flow label to use for VXLAN.
int | rtnl_link_vxlan_get_label (struct rtnl_link *link, uint32_t *label)
| Get flow label to use for VXLAN.
int | rtnl_link_vxlan_set_flags (struct rtnl_link *link, uint32_t flags, int enable)
| Set VXLAN flags RTNL_LINK_VXLAN_F_*.
int | rtnl_link_vxlan_get_flags (struct rtnl_link *link, uint32_t *out_flags)
| Get VXLAN flags RTNL_LINK_VXLAN_F_*.

## Detailed Description

Virtual eXtensible Local Area Network link module

Link Type Name: "vxlan"

VXLAN Documentation (Netlink Routing Development Guide)

## Function Documentation

## ◆ rtnl_link_vxlan_alloc()

struct rtnl_link * rtnl_link_vxlan_alloc | ( | void |  | ) |

Allocate link object of type VXLAN.

Returns
  Allocated link object or NULL.

Definition at line 694 of file vxlan.c.

References rtnl_link_alloc(), rtnl_link_put(), and rtnl_link_set_type().

Here is the call graph for this function:

## ◆ rtnl_link_is_vxlan()

int rtnl_link_is_vxlan | ( | struct rtnl_link * | link | ) |

Check if link is a VXLAN link.

Parameters

  link | Link object

Returns
  True if link is a VXLAN link, otherwise false is returned.

Definition at line 715 of file vxlan.c.

References rtnl_link_info_ops::io_name.

## ◆ rtnl_link_vxlan_set_id()

int rtnl_link_vxlan_set_id | ( | struct rtnl_link * | link,
|  | uint32_t | id )

Set VXLAN Network Identifier.

Parameters

  link | Link object
  id | VXLAN network identifier (or VXLAN segment identifier)

Returns
  0 on success or a negative error code

Definition at line 727 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_id()

int rtnl_link_vxlan_get_id | ( | struct rtnl_link * | link,
|  | uint32_t * | id )

Get VXLAN Network Identifier.

Parameters

  link | Link object
  id | Pointer to store network identifier

Returns
  0 on success or a negative error code

Definition at line 749 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_group()

int rtnl_link_vxlan_set_group | ( | struct rtnl_link * | link,
|  | struct nl_addr * | addr )

Set VXLAN multicast IP address.

Parameters

  link | Link object
  addr | Multicast IP address to join

Returns
  0 on success or a negative error code

Definition at line 773 of file vxlan.c.

References nl_addr_get_binary_addr(), nl_addr_get_family(), and nl_addr_get_len().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_get_group()

int rtnl_link_vxlan_get_group | ( | struct rtnl_link * | link,
|  | struct nl_addr ** | addr )

Get VXLAN multicast IP address.

Parameters

  link | Link object
  addr | Pointer to store multicast IP address

Returns
  0 on success or a negative error code

Definition at line 804 of file vxlan.c.

References nl_addr_build().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_link()

int rtnl_link_vxlan_set_link | ( | struct rtnl_link * | link,
|  | uint32_t | index )

Set physical device to use for VXLAN.

Parameters

  link | Link object
  index | Interface index

Returns
  0 on success or a negative error code

Definition at line 830 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_link()

int rtnl_link_vxlan_get_link | ( | struct rtnl_link * | link,
|  | uint32_t * | index )

Get physical device to use for VXLAN.

Parameters

  link | Link object
  index | Pointer to store interface index

Returns
  0 on success or a negative error code

Definition at line 849 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_local()

int rtnl_link_vxlan_set_local | ( | struct rtnl_link * | link,
|  | struct nl_addr * | addr )

Set source address to use for VXLAN.

Parameters

  link | Link object
  addr | Local address

Returns
  0 on success or a negative error code

Definition at line 873 of file vxlan.c.

References nl_addr_get_binary_addr(), nl_addr_get_family(), and nl_addr_get_len().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_get_local()

int rtnl_link_vxlan_get_local | ( | struct rtnl_link * | link,
|  | struct nl_addr ** | addr )

Get source address to use for VXLAN.

Parameters

  link | Link object
  addr | Pointer to store local address

Returns
  0 on success or a negative error code

Definition at line 904 of file vxlan.c.

References nl_addr_build().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_ttl()

int rtnl_link_vxlan_set_ttl | ( | struct rtnl_link * | link,
|  | uint8_t | ttl )

Set IP TTL value to use for VXLAN.

Parameters

  link | Link object
  ttl | TTL value

Returns
  0 on success or a negative error code

Definition at line 930 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_ttl()

int rtnl_link_vxlan_get_ttl | ( | struct rtnl_link * | link | ) |

Get IP TTL value to use for VXLAN.

Parameters

  link | Link object

Returns
  TTL value on success or a negative error code

Definition at line 948 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_tos()

int rtnl_link_vxlan_set_tos | ( | struct rtnl_link * | link,
|  | uint8_t | tos )

Set IP ToS value to use for VXLAN.

Parameters

  link | Link object
  tos | ToS value

Returns
  0 on success or a negative error code

Definition at line 967 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_tos()

int rtnl_link_vxlan_get_tos | ( | struct rtnl_link * | link | ) |

Get IP ToS value to use for VXLAN.

Parameters

  link | Link object

Returns
  ToS value on success or a negative error code

Definition at line 985 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_learning()

int rtnl_link_vxlan_set_learning | ( | struct rtnl_link * | link,
|  | uint8_t | learning )

Set VXLAN learning status.

Parameters

  link | Link object
  learning | Learning status value

Returns
  0 on success or a negative error code

Definition at line 1004 of file vxlan.c.

Referenced by rtnl_link_vxlan_disable_learning(), and rtnl_link_vxlan_enable_learning().

Here is the caller graph for this function:

## ◆ rtnl_link_vxlan_get_learning()

int rtnl_link_vxlan_get_learning | ( | struct rtnl_link * | link | ) |

Get VXLAN learning status.

Parameters

  link | Link object

Returns
  Learning status value on success or a negative error code

Definition at line 1022 of file vxlan.c.

## ◆ rtnl_link_vxlan_enable_learning()

int rtnl_link_vxlan_enable_learning | ( | struct rtnl_link * | link | ) |

Enable VXLAN address learning.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1040 of file vxlan.c.

References rtnl_link_vxlan_set_learning().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_disable_learning()

int rtnl_link_vxlan_disable_learning | ( | struct rtnl_link * | link | ) |

Disable VXLAN address learning.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1051 of file vxlan.c.

References rtnl_link_vxlan_set_learning().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_ageing()

int rtnl_link_vxlan_set_ageing | ( | struct rtnl_link * | link,
|  | uint32_t | expiry )

Set expiration timer value to use for VXLAN.

Parameters

  link | Link object
  expiry | Expiration timer value

Returns
  0 on success or a negative error code

Definition at line 1063 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_ageing()

int rtnl_link_vxlan_get_ageing | ( | struct rtnl_link * | link,
|  | uint32_t * | expiry )

Get expiration timer value to use for VXLAN.

Parameters

  link | Link object
  expiry | Pointer to store expiration timer value

Returns
  0 on success or a negative error code

Definition at line 1082 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_limit()

int rtnl_link_vxlan_set_limit | ( | struct rtnl_link * | link,
|  | uint32_t | limit )

Set maximum number of forwarding database entries to use for VXLAN.

Parameters

  link | Link object
  limit | Maximum number

Returns
  0 on success or a negative error code

Definition at line 1106 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_limit()

int rtnl_link_vxlan_get_limit | ( | struct rtnl_link * | link,
|  | uint32_t * | limit )

Get maximum number of forwarding database entries to use for VXLAN.

Parameters

  link | Link object
  limit | Pointer to store maximum number

Returns
  0 on success or a negative error code

Definition at line 1125 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_port_range()

int rtnl_link_vxlan_set_port_range | ( | struct rtnl_link * | link,
|  | struct ifla_vxlan_port_range * | range )

Set range of UDP port numbers to use for VXLAN.

Parameters

  link | Link object
  range | Port number range

Returns
  0 on success or a negative error code

Definition at line 1149 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_port_range()

int rtnl_link_vxlan_get_port_range | ( | struct rtnl_link * | link,
|  | struct ifla_vxlan_port_range * | range )

Get range of UDP port numbers to use for VXLAN.

Parameters

  link | Link object
  range | Pointer to store port range

Returns
  0 on success or a negative error code

Definition at line 1172 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_proxy()

int rtnl_link_vxlan_set_proxy | ( | struct rtnl_link * | link,
|  | uint8_t | proxy )

Set ARP proxy status to use for VXLAN.

Parameters

  link | Link object
  proxy | Status value

Returns
  0 on success or a negative error code

Definition at line 1197 of file vxlan.c.

Referenced by rtnl_link_vxlan_disable_proxy(), and rtnl_link_vxlan_enable_proxy().

Here is the caller graph for this function:

## ◆ rtnl_link_vxlan_get_proxy()

int rtnl_link_vxlan_get_proxy | ( | struct rtnl_link * | link | ) |

Get ARP proxy status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1215 of file vxlan.c.

## ◆ rtnl_link_vxlan_enable_proxy()

int rtnl_link_vxlan_enable_proxy | ( | struct rtnl_link * | link | ) |

Enable ARP proxy.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1233 of file vxlan.c.

References rtnl_link_vxlan_set_proxy().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_disable_proxy()

int rtnl_link_vxlan_disable_proxy | ( | struct rtnl_link * | link | ) |

Disable ARP proxy.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1244 of file vxlan.c.

References rtnl_link_vxlan_set_proxy().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_rsc()

int rtnl_link_vxlan_set_rsc | ( | struct rtnl_link * | link,
|  | uint8_t | rsc )

Set Route Short Circuit status to use for VXLAN.

Parameters

  link | Link object
  rsc | Status value

Returns
  0 on success or a negative error code

Definition at line 1256 of file vxlan.c.

Referenced by rtnl_link_vxlan_disable_rsc(), and rtnl_link_vxlan_enable_rsc().

Here is the caller graph for this function:

## ◆ rtnl_link_vxlan_get_rsc()

int rtnl_link_vxlan_get_rsc | ( | struct rtnl_link * | link | ) |

Get Route Short Circuit status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1274 of file vxlan.c.

## ◆ rtnl_link_vxlan_enable_rsc()

int rtnl_link_vxlan_enable_rsc | ( | struct rtnl_link * | link | ) |

Enable Route Short Circuit.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1292 of file vxlan.c.

References rtnl_link_vxlan_set_rsc().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_disable_rsc()

int rtnl_link_vxlan_disable_rsc | ( | struct rtnl_link * | link | ) |

Disable Route Short Circuit.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1303 of file vxlan.c.

References rtnl_link_vxlan_set_rsc().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_l2miss()

int rtnl_link_vxlan_set_l2miss | ( | struct rtnl_link * | link,
|  | uint8_t | miss )

Set netlink LLADDR miss notification status to use for VXLAN.

Parameters

  link | Link object
  miss | Status value

Returns
  0 on success or a negative error code

Definition at line 1315 of file vxlan.c.

Referenced by rtnl_link_vxlan_disable_l2miss(), and rtnl_link_vxlan_enable_l2miss().

Here is the caller graph for this function:

## ◆ rtnl_link_vxlan_get_l2miss()

int rtnl_link_vxlan_get_l2miss | ( | struct rtnl_link * | link | ) |

Get netlink LLADDR miss notification status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1333 of file vxlan.c.

## ◆ rtnl_link_vxlan_enable_l2miss()

int rtnl_link_vxlan_enable_l2miss | ( | struct rtnl_link * | link | ) |

Enable netlink LLADDR miss notifications.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1351 of file vxlan.c.

References rtnl_link_vxlan_set_l2miss().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_disable_l2miss()

int rtnl_link_vxlan_disable_l2miss | ( | struct rtnl_link * | link | ) |

Disable netlink LLADDR miss notifications.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1362 of file vxlan.c.

References rtnl_link_vxlan_set_l2miss().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_l3miss()

int rtnl_link_vxlan_set_l3miss | ( | struct rtnl_link * | link,
|  | uint8_t | miss )

Set netlink IP ADDR miss notification status to use for VXLAN.

Parameters

  link | Link object
  miss | Status value

Returns
  0 on success or a negative error code

Definition at line 1374 of file vxlan.c.

Referenced by rtnl_link_vxlan_disable_l3miss(), and rtnl_link_vxlan_enable_l3miss().

Here is the caller graph for this function:

## ◆ rtnl_link_vxlan_get_l3miss()

int rtnl_link_vxlan_get_l3miss | ( | struct rtnl_link * | link | ) |

Get netlink IP ADDR miss notification status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1392 of file vxlan.c.

## ◆ rtnl_link_vxlan_enable_l3miss()

int rtnl_link_vxlan_enable_l3miss | ( | struct rtnl_link * | link | ) |

Enable netlink IP ADDR miss notifications.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1410 of file vxlan.c.

References rtnl_link_vxlan_set_l3miss().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_disable_l3miss()

int rtnl_link_vxlan_disable_l3miss | ( | struct rtnl_link * | link | ) |

Disable netlink IP ADDR miss notifications.

Parameters

  link | Link object

Returns
  0 on success or a negative error code

Definition at line 1421 of file vxlan.c.

References rtnl_link_vxlan_set_l3miss().

Here is the call graph for this function:

## ◆ rtnl_link_vxlan_set_port()

int rtnl_link_vxlan_set_port | ( | struct rtnl_link * | link,
|  | uint32_t | port )

Set UDP destination port to use for VXLAN.

Parameters

  link | Link object
  port | Destination port

Returns
  0 on success or a negative error code

Definition at line 1433 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_port()

int rtnl_link_vxlan_get_port | ( | struct rtnl_link * | link,
|  | uint32_t * | port )

Get UDP destination port to use for VXLAN.

Parameters

  link | Link object
  port | Pointer to store destination port

Returns
  0 on success or a negative error code

Definition at line 1452 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_udp_csum()

int rtnl_link_vxlan_set_udp_csum | ( | struct rtnl_link * | link,
|  | uint8_t | csum )

Set UDP checksum status to use for VXLAN.

Parameters

  link | Link object
  csum | Status value

Returns
  0 on success or a negative error code

Definition at line 1476 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_udp_csum()

int rtnl_link_vxlan_get_udp_csum | ( | struct rtnl_link * | link | ) |

Get UDP checksum status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1494 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_udp_zero_csum6_tx()

int rtnl_link_vxlan_set_udp_zero_csum6_tx | ( | struct rtnl_link * | link,
|  | uint8_t | csum )

Set skip UDP checksum transmitted over IPv6 status to use for VXLAN.

Parameters

  link | Link object
  csum | Status value

Returns
  0 on success or a negative error code

Definition at line 1513 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_udp_zero_csum6_tx()

int rtnl_link_vxlan_get_udp_zero_csum6_tx | ( | struct rtnl_link * | link | ) |

Get skip UDP checksum transmitted over IPv6 status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1531 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_udp_zero_csum6_rx()

int rtnl_link_vxlan_set_udp_zero_csum6_rx | ( | struct rtnl_link * | link,
|  | uint8_t | csum )

Set skip UDP checksum received over IPv6 status to use for VXLAN.

Parameters

  link | Link object
  csum | Status value

Returns
  0 on success or a negative error code

Definition at line 1550 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_udp_zero_csum6_rx()

int rtnl_link_vxlan_get_udp_zero_csum6_rx | ( | struct rtnl_link * | link | ) |

Get skip UDP checksum received over IPv6 status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1568 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_remcsum_tx()

int rtnl_link_vxlan_set_remcsum_tx | ( | struct rtnl_link * | link,
|  | uint8_t | csum )

Set remote offload transmit checksum status to use for VXLAN.

Parameters

  link | Link object
  csum | Status value

Returns
  0 on success or a negative error code

Definition at line 1587 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_remcsum_tx()

int rtnl_link_vxlan_get_remcsum_tx | ( | struct rtnl_link * | link | ) |

Get remote offload transmit checksum status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1605 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_remcsum_rx()

int rtnl_link_vxlan_set_remcsum_rx | ( | struct rtnl_link * | link,
|  | uint8_t | csum )

Set remote offload receive checksum status to use for VXLAN.

Parameters

  link | Link object
  csum | Status value

Returns
  0 on success or a negative error code

Definition at line 1624 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_remcsum_rx()

int rtnl_link_vxlan_get_remcsum_rx | ( | struct rtnl_link * | link | ) |

Get remote offload receive checksum status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1642 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_collect_metadata()

int rtnl_link_vxlan_set_collect_metadata | ( | struct rtnl_link * | link,
|  | uint8_t | collect )

Set collect metadata status to use for VXLAN.

Parameters

  link | Link object
  collect | Status value

Returns
  0 on success or a negative error code

Definition at line 1661 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_collect_metadata()

int rtnl_link_vxlan_get_collect_metadata | ( | struct rtnl_link * | link | ) |

Get collect metadata status to use for VXLAN.

Parameters

  link | Link object

Returns
  Status value on success or a negative error code

Definition at line 1679 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_label()

int rtnl_link_vxlan_set_label | ( | struct rtnl_link * | link,
|  | uint32_t | label )

Set flow label to use for VXLAN.

Parameters

  link | Link object
  label | Destination label

Returns
  0 on success or a negative error code

Definition at line 1698 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_label()

int rtnl_link_vxlan_get_label | ( | struct rtnl_link * | link,
|  | uint32_t * | label )

Get flow label to use for VXLAN.

Parameters

  link | Link object
  label | Pointer to store destination label

Returns
  0 on success or a negative error code

Definition at line 1717 of file vxlan.c.

## ◆ rtnl_link_vxlan_set_flags()

int rtnl_link_vxlan_set_flags | ( | struct rtnl_link * | link,
|  | uint32_t | flags,
|  | int | enable )

Set VXLAN flags RTNL_LINK_VXLAN_F_*.

Parameters

  link | Link object @flags Which flags to set
  enable | Boolean enabling or disabling flag

Returns
  0 on success or a negative error code

Definition at line 1742 of file vxlan.c.

## ◆ rtnl_link_vxlan_get_flags()

int rtnl_link_vxlan_get_flags | ( | struct rtnl_link * | link,
|  | uint32_t * | out_flags )

Get VXLAN flags RTNL_LINK_VXLAN_F_*.

Parameters

  link | Link object
  out_flags | Output value for flags. Must be present.

Returns
  Zero on success or a negative error code

Definition at line 1766 of file vxlan.c.